| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_A_const

BOOST_PROTO_A_const — Generates sequences like `A0 const, A1 const, … AN-1 const` .

## Synopsis

    // In header: <boost/proto/repeat.hpp>

    BOOST_PROTO_A_const(N)

## Description

Intended for use with the `BOOST_PROTO_REPEAT()` and `BOOST_PROTO_LOCAL_ITERATE()` macros.

`BOOST_PROTO_A_const(`N`)` generates sequences like:

    A0 const, A1 const, … AN-1 const